Subject: Re: bug#36502: Fwd: bug#36502: 27.0.50; infinite loop in file-name-case-insensitive-p

From: Ken Brown <[email-masked]>
Date: Sat, 20 Jul 2019 14:27:08 +0000

On 7/20/2019 5:19 AM, Eli Zaretskii wrote:
>> From: Ken Brown <[email-masked]>
>> CC: "[email-masked]" <[email-masked]>, "[email-masked]"
>> 	<[email-masked]>, "[email-masked]" <[email-masked]>,
>> 	"[email-masked]" <[email-masked]>, "[email-masked]"
>> 	<[email-masked]>
>> Date: Mon, 15 Jul 2019 13:39:24 +0000
>>
>> On 7/12/2019 4:18 PM, Ken Brown wrote:
>>> On 7/12/2019 2:41 AM, Eli Zaretskii wrote:
>>>> It is only absolute if what follows ~ is a slash or a name of an
>>>> existing user.  I think we should fix the inconsistency in that
>>>> direction.
>>>
>>> Patch attached.
>>
>> Is the patch OK, Eli?  Here it is again, fleshed out with a commit message and test.
> 
> Thanks.  The patch looks OK to me, but shouldn't we also make
> file-name-absolute-p recognize "~foo" as non-absolute when there's no
> user named "foo"?  I thought we agreed this is a discrepancy we don't
> want.

I'm not sure.  The current behavior is longstanding and was explicitly 
documented by Paul (added to the CC) in the last couple years.  Might there be 
some code that relies on this behavior?

Ken